Subject: Re: [RRG] Renumbering...

From: Dino Farinacci <[email-masked]>
Date: Wed, 3 Sep 2008 16:32:02 -0700

> |> That's confusing at best...  While you may be allocating them from
> |> the same
> |> number pool, an EID prefix is *not* the same as a PI address.  In
> |
> |No, that is confusing. From a LISP architecture point of view
> |*whatever addresses are assigned at the site are EID-prefixes*,  
> period.
>
>
> I'm very sorry that you're confused.  However, for us to communicate
> effectively, we need to be a bit more precise in our use of  
> language.  Yes,
> you are welcome to have legacy addresses at a site and to reuse the  
> same
> code points in an EID namespace.  I think that we all understand  
> that's how
> you want LISP to operate.

I am not confused. The list is confusing.  ;-)

> However, that does not make addresses and EIDs equivalent and
> interchangeable.  They are still two separate namespaces.  For  
> example, at

Nope, no one is saying that.

> some point, I would hope that people will be able to get an EID- 
> prefix and
> have that part of an EID aggregate.  That should never be injected  
> as a
> global unaggregated prefix down into underlying routing.

So, what we are coming to is:

A PI block is not an EID-prefix, but a EID-prefix is *typically* a PI  
block. An EID-prefix is a PI block that can be aggregatable for  
mapping database scalability.

> Similarly, I would hope that at some point, people who request a  
> classical
> PI address are instead redirected to get an identifier, such as an
> aggregateable EID prefix and directed to use our solution, such as  
> LISP
> instead.

I would like to hear what the registries say about that? I bet they  
would say they already are to a certain extent. And could probably be  
aggregated by the registry-run ALT routers.

Dino

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg